﻿using Microsoft.AspNetCore.Mvc;

namespace SampleSourceGenerator.Controllers
{
	public partial class CategoryController
	{
		private readonly IConfiguration _configuration;

		[ActivatorUtilitiesConstructor]
		public CategoryController(IConfiguration config, ILogger<CategoryController> logger)
		{
			_configuration = config;
			_logger = logger;
		}

		[HttpGet("config")]
		public async Task<IActionResult> GetConfig()
		{
			_logger.LogInformation("Configuration Called");
			return Ok(_configuration["AppSettings:Name"]);
		}
	}
}
